Bug 218283 - [PATCH] sysutils/bsdstats: use anticongestion
Summary: [PATCH] sysutils/bsdstats: use anticongestion
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-04-01 04:45 UTC by Alan Somers
Modified: 2017-04-11 07:38 UTC (History)
2 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
Use anticongestion instead of simply sleeping (1.11 KB, patch)
2017-04-01 04:45 UTC, Alan Somers
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-04-01 04:45:42 UTC
Created attachment 181374 [details]
Use anticongestion instead of simply sleeping

svn r316342 added a common anticongestion routine that all periodic scripts should use instead of simply calling sleep.  To test if it's available, a port should check for the anticongestion_sleeptime variable.
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-04-08 11:44:50 UTC
Take.
Comment 2 commit-hook freebsd_committer 2017-04-10 17:58:04 UTC
A commit references this bug:

Author: cpm
Date: Mon Apr 10 17:57:31 UTC 2017
New revision: 438194
URL: https://svnweb.freebsd.org/changeset/ports/438194

Log:
  - Use anticongestion instead of simply sleeping.
  - Bump PORTREVISION

  svn r316342 added a common anticongestion routine that all periodic scripts should
  use instead of simply calling sleep. To test if it's available, a port should
  check for the anticongestion_sleeptime variable.

  PR:		218283
  Submitted by:	asomers
  Approved by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)

Changes:
  head/sysutils/bsdstats/Makefile
  head/sysutils/bsdstats/files/300.statistics.in
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-04-10 17:59:58 UTC
Committed!

Thanks